API ReferencePayment links
List payment links
Authorization
apiKey AuthorizationBearer <token>
BAGS API key from the merchant dashboard. Live keys (bag_live_…) operate against real chains; test keys (bag_test_…) are limited to test networks.
In: header
Query Parameters
limit?integer
Maximum number of items to return. Clamped to [1, 100]; defaults to 25.
Range
1 <= value <= 100starting_after?string
Cursor — pass the id of the last item from the previous page.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/payment-links"{
"status": "success",
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",
"name": "string",
"description": "string",
"amount": "19.99",
"currency": "USD",
"network": "solana",
"networks": [
"solana"
],
"token": "USDC",
"active": true,
"pricingType": "one_time",
"billingInterval": "minute",
"billingIntervalCount": -9007199254740991,
"trialDays": -9007199254740991,
"merchantWalletAddress": "stringstringstringstringstringst",
"merchantWalletAddresses": {
"property1": "stringstringstringstringstringst",
"property2": "stringstringstringstringstringst"
},
"merchantName": "string",
"isAgenticProxy": true,
"targetUrl": "http://example.com",
"successUrl": "string",
"returnUrl": "http://example.com",
"createdAt": "2026-04-16T12:34:56.000Z",
"updatedAt": "2026-04-16T12:34:56.000Z"
}
],
"hasMore": true
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}